Page MenuHomePhabricator

Add Saraiki (skr) to Names.php
Open, Needs TriagePublic

Description

First export for skr-arab from translatewiki.net today with https://gerrit.wikimedia.org/r/#/c/366900/

Details

Related Gerrit Patches:
mediawiki/core : masterAdd Saraiki (skr) to Names.php

Event Timeline

Raymond created this task.Jul 21 2017, 8:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2017, 8:50 PM

Change 367006 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add Saraiki (skr) to Names.php

https://gerrit.wikimedia.org/r/367006

Change 367006 merged by jenkins-bot:
[mediawiki/core@master] Add Saraiki (skr) to Names.php

https://gerrit.wikimedia.org/r/367006

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedAug 6 2017, 10:48 AM

I don't know how to understand what this user says:

Language Saraiki is mainly written in Arabic script. So Skr and Skr-arab be merged. In wikimedia and other sites Skr-arab be deleted. Because Saraiki is just one language. In interface language and internationalization only one langauge be shown. Interface of Urdu words be adjusted as they are adjusted in SKR_Arab. All translations be converted to Skr i.e., Skr-arab be renamed as skr. so that one language Skr-arab be deleted from Special:SupportedLanguages. In language selector of Wikimedia Saraiki is Written two times. Kindly Skr-arab be deleted.
In interface language merge Skr-Arab in Skr، In interface language the all work as stood as in Skr-Arab be adjusted as Skr, and the word Skr-Arab be deleted in the the internationalization of the the language. Wiki is only in Skr. Please this conflict be removed. Saraiki. (talk) 10:45, 1 August 2017 (UTC).

Liuxinyu970226 added a comment.EditedJan 27 2018, 2:33 PM

@Amire80 Your patch above results somewhat wasted: it's possible to translate messages to either skr or skr-arab (use Group-sysop for example) which is unwanted per Support Saraiki language thread, please disable one of both, in order to make maintenance of TWN languages more clean.

MarcoAurelio added a subscriber: MarcoAurelio.

No patch for review as it was already merged. Maybe the issue reported above deserve their own task, or not. Not sure.